# Command: GfxModeExists

GfxModeExists (width,height,depth) Definition:

Checks to see if the designated graphic mode exists.

Parameter Description:

width = width, in pixels (i.e. 640) height = height, in pixels (i.e. 480) depth = color depth (i.e. 16, 24, 32)

Command Description:

Use this command to verify whether or not the user's video card can use this graphic mode. Returns TRUE if the mode exists, FALSE if not. If you want to know what mode number this mode is, use FindGFXMode.

Example:

; GFXModeExists example ; If there is a mode, tell user mode=GfxModeExists(800,800,16) If mode=1 Then Print "The mode you requested exists!" Else Print "Sorry, that mode doesn't exist." End If ; Wait for ESC press from user While Not KeyHit(1) Wend

Index